> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_gasPrice

> Returns the current gas price in wei



## OpenAPI

````yaml /api-reference/openapi.json post /eth_gasPrice
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /eth_gasPrice:
    post:
      tags:
        - Ethereum API
      summary: eth_gasPrice
      description: Returns the current gas price in wei
      operationId: eth_gasPrice
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: eth_gasPrice
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: No parameters
                  default: []
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: eth_gasPrice
              params: []
      responses:
        '200':
          description: Returns the current gas price
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: string
                    description: The current gas price in wei
                    example: '0x17d7840'
              example:
                jsonrpc: '2.0'
                result: '0x17d7840'
                id: 1

````